summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2026-05-19 13:46:12 +0200
committerRemi Collet <remi@php.net>2026-05-19 13:46:12 +0200
commit210c374edb8c59db4576167be478ecfa019f7cc3 (patch)
tree8f18fec73efe0335ca9a420efee939b8d82c5a71
parent1715deec523a6c780a0c2b48098d7c64dfe12949 (diff)
update to 1.5.12 (no change)HEADmaster
-rwxr-xr-xmakesrc.sh32
-rw-r--r--php-composer-ca-bundle.spec11
2 files changed, 22 insertions, 21 deletions
diff --git a/makesrc.sh b/makesrc.sh
index c047df5..f2a2aed 100755
--- a/makesrc.sh
+++ b/makesrc.sh
@@ -1,27 +1,27 @@
#!/bin/bash
-NAME=$(sed -n '/^Name:/{s/.* //;p}' *.spec)
+NAME=$(basename $PWD)
OWNER=$(sed -n '/^%global gh_owner/{s/.* //;p}' $NAME.spec)
PROJECT=$(sed -n '/^%global gh_project/{s/.* //;p}' $NAME.spec)
VERSION=$(sed -n '/^Version:/{s/.* //;p}' $NAME.spec)
-COMMIT=$(sed -n '/^%global gh_commit/{s/.* //;p}' $NAME.spec)
-SHORT=${COMMIT:0:7}
-echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION\n"
+if [ -f $NAME-$VERSION.tgz ]; then
+ echo "$NAME-$VERSION.tgz already there"
+else
+ echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION \n"
-echo "Cloning..."
-git clone https://github.com/$OWNER/$PROJECT.git $PROJECT-$COMMIT
+ echo "Cloning..."
+ rm -rf $PROJECT-$VERSION
+ git clone https://github.com/$OWNER/$PROJECT.git --depth 1 --branch $VERSION $PROJECT-$VERSION || exit 1
-echo "Getting commit..."
-pushd $PROJECT-$COMMIT
-git checkout $COMMIT
-cp composer.json ../composer.json
-popd
+ echo "Getting composer..."
+ cp $PROJECT-$VERSION/composer.json composer.json
-echo "Archiving..."
-tar czf $NAME-$VERSION-$SHORT.tgz --exclude .git $PROJECT-$COMMIT
+ echo "Archiving..."
+ tar czf $NAME-$VERSION.tgz --exclude-vcs $PROJECT-$VERSION
-echo "Cleaning..."
-rm -rf $PROJECT-$COMMIT
+ echo "Cleaning..."
+ rm -rf $PROJECT-$VERSION
-echo "Done."
+ echo "Done."
+fi
diff --git a/php-composer-ca-bundle.spec b/php-composer-ca-bundle.spec
index 1b9096e..2f706b9 100644
--- a/php-composer-ca-bundle.spec
+++ b/php-composer-ca-bundle.spec
@@ -9,21 +9,19 @@
%bcond_without tests
-%global gh_commit 68ff39175e8e94a4bb1d259407ce51a6a60f09e6
-%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner composer
%global gh_project ca-bundle
%global php_home %{_datadir}/php
Name: php-composer-ca-bundle
-Version: 1.5.11
+Version: 1.5.12
Release: 1%{?dist}
Summary: Lets you find a path to the system CA
License: MIT
URL: https://github.com/%{gh_owner}/%{gh_project}
# git snapshot to get everything, despite .gitattributes
-Source0: %{name}-%{version}-%{gh_short}.tgz
+Source0: %{name}-%{version}.tgz
Source1: makesrc.sh
# Never bundle a CA file
@@ -71,7 +69,7 @@ Autoloader: %{php_home}/Composer/CaBundle/autoload.php
%prep
-%setup -q -n %{gh_project}-%{gh_commit}
+%setup -q -n %{gh_project}-%{version}
%patch -P0 -p0 -b .rpm
find src -name \*.rpm -exec rm {} \;
@@ -127,6 +125,9 @@ exit $ret
%changelog
+* Tue May 19 2026 Remi Collet <remi@remirepo.net> - 1.5.12-1
+- update to 1.5.12 (no change)
+
* Tue Mar 31 2026 Remi Collet <remi@remirepo.net> - 1.5.11-1
- update to 1.5.11 (no change)